# Class ConsoleRenderer

java.lang.Object
GomokuRenderer
ConsoleRenderer

public class ConsoleRenderer extends GomokuRenderer

- ## Field Summary

  ### Fields inherited from class GomokuRenderer

  `game`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsoleRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(GomokuGame game)`
  `void`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsoleRenderer

    public ConsoleRenderer()

- ## Method Details

  - ### init

    public void init(GomokuGame game)
    Specified by:
      `init` in class `GomokuRenderer`

  - ### update

    public void update()
    Specified by:
      `update` in class `GomokuRenderer`